
# invParabola.py
# https://archive.lib.msu.edu/crcmath/math/math/p/p052.htm
# Andrew Davison, ad@coe.psu.ac.th, Sept. 2024
'''
  Invert a parabola consisting of points in an inversion
  circle creating the coordinates of a cardioid.
  https://en.wikipedia.org/wiki/Cardioid
  Generates invParabola.png
'''


import math
from geom import *

d = createDrawing(5)
drawAxes(d)

ic = ECircle(0, 0, 1)  # circle used for inversion
d.draw(ic, stroke='green')

pts = []
x = -0.5
while x < 20:
  # y = math.sqrt(x)    # x = y^2 --> cissoid
  y = math.sqrt(2*x+1)    # x = y^2  --> limacon
  pts.extend([(x,y),(x,-y)])
  x += 0.1

for pt in pts:
  drawDot(d, *pt)
  invPt = invertPt(*pt, ic.cx, ic.cy, ic.r)
  if invPt != None:
    drawDot(d, *invPt, color='red')

saveDrawing(d,'invParabola.png')

