
# inverts2.py
# Andrew Davison, ad@coe.psu.ac.th, Sept. 2024
'''
  Invert a green circle inside the inversion circle
  into a bigger red circle outside, and label some points.
  Generates inverts2.png
'''

import math
from geom import *

d = createDrawing(winWidth=7)
drawAxes(d)


ic = ECircle(0, 0, 2)  # circle used for inversion
c = ECircle(1, 1, 0.5)
d.draw(ic)
d.draw(c, stroke='green', stroke_width=0.02)

inv = c.invert(ic)
d.draw(inv, stroke='red', stroke_width=0.02)

pts = c.getCoords(5)
uPts = []
for i, pt in enumerate(pts):
  drawDot(d, *pt, radius = 0.05)
  drawLabel(d, "p"+str(i), pt[0]+0.2, pt[1])

  iPt = invertPt(*pt, ic.cx, ic.cy, ic.r)
  if not iPt == None:
    drawDot(d, *iPt, radius = 0.05)
    drawLabel(d, "i"+str(i), iPt[0]+0.15, iPt[1])
  
saveDrawing(d, 'inverts2.png')

