
# inverts4.py
# Andrew Davison, ad@coe.psu.ac.th, Sept. 2024
'''
  Generate several circles rotated about the center of
  an inversion circle which also touch its edge. They
  are inverted into various lines with different 
  tangent slopes to the inversion circle.
  Generates inverts4.png
'''

import math
from geom import *

d = createDrawing(3)
drawAxes(d)

ic = ECircle(0, 0, 1)  # circle used for inversion
d.draw(ic)

angles = [0, 45, 90, 135, 225]
colors = ['red', 'green', 'orange', 'pink', 'tan']

for i, angle in enumerate(angles):
  x, y = polar2cart(0.5, angle)
  c = ECircle(x, y, 0.5)
  d.draw(c, stroke=colors[i])
  inv = c.invert(ic)
  print(i, inv)
  d.draw(inv, stroke=colors[i])

saveDrawing(d,'inverts4.png')

