
# inverts5.py
# https://mathworld.wolfram.com/Inversion.html
# Andrew Davison, ad@coe.psu.ac.th, Sept. 2024
'''
  Invert a grid of blue vertical and horizontal lines
  into red circles of various radii positioned around
  the inversion circle.
  Generates inverts5.png
'''


import math
from geom import *

d = createDrawing(5)
drawAxes(d)

ic = ECircle(0, 0, 1)  # circle used for inversion
d.draw(ic, stroke='green')

lines = []
for coord in range(-4, 5):
  lines.append( ELine(0, coord/2, 0))  # horizontals
  lines.append( EVertical.at(coord/2))  # verticals

for line in lines:
  d.draw(line)
  inv = line.invert(ic)
  d.draw(inv, stroke='red')

saveDrawing(d,'inverts5.png')

