
# recurLines.py
# Andrew Davison, ad@coe.psu.ac.th, Sept. 2024
'''
  Based on the in[6] code at
  https://github.com/cduck/hyperbolic/blob/master/examples/poincare.ipynb
  that generates hyperDragon.svg

  Generates recurLines.png
'''

import math
from geom import *
from pgeom import *

def drawLines(d, depth, ang1, ang2):
  if depth <= 0:
    # an 'infinite' blue d-line, touching the boundary at 
    # the two ideals at the specified angles (0 is the
    # compass point West)
    dl = Line.points(Ideal.degree(-ang1), Ideal.degree(-ang2))
    d.draw(dl, stroke_width=0.01)
  else:
    drawLines(d, depth-1, (ang1+ang2)/2, ang2)
    drawLines(d, depth-1, (ang1+ang2)/2+360, ang1)


n = int(input("n for 2^n d-lines? "))  # use 3 -- 6
d = createDrawing()
d.draw(ECircle(0, 0, 1), stroke='silver') # disc boundary

drawLines(d, n, 0, -180)   # draw 2^n d-lines

saveDrawing(d, 'recurLines.png')